carre : carre.o lightness.o
	gcc -ansi -pedantic -o carre carre.o lightness.o

lightness.o : lightness.c lightness.h
	gcc -ansi -pedantic -c lightness.c

carre.o : carre.c lightness.h
	gcc -ansi -pedantic -c carre.c
